#
# default base directory for YAP installation
#
ROOTDIR = /usr/pkg
#
# where the binary should be
#
BINDIR = $(ROOTDIR)/bin
#
# where YAP should look for binary libraries
#
LIBDIR=${exec_prefix}/lib/Yap
#
# where YAP should look for architecture-independent Prolog libraries
#
SHAREDIR=$(ROOTDIR)/share
#
#
# You shouldn't need to change what follows.
#
INSTALL=/usr/bin/install -c -o pbulk -g users
INSTALL_DATA=/usr/bin/install -c -o pbulk -g users -m 644
INSTALL_PROGRAM=/usr/bin/install -c -s -o pbulk -g users -m 755
srcdir=.
YAP_EXTRAS= -DCOROUTINING=1 -DCUT_C=1 -DRATIONAL_TREES=1 -DDEPTH_LIMIT=1 -DTABLING=1 

PROGRAMS= \
	$(srcdir)/aggregate.pl \
	$(srcdir)/ctypes.pl \
	$(srcdir)/error.pl \
	$(srcdir)/occurs.yap \
	$(srcdir)/pairs.pl


install: $(PROGRAMS)
	mkdir -p $(DESTDIR)$(SHAREDIR)/Yap
	for p in $(PROGRAMS); do $(INSTALL_DATA) $$p $(DESTDIR)$(SHAREDIR)/Yap; done

